Broken version of boinc in some repositories??

Message boards : Questions and problems : Broken version of boinc in some repositories??
Message board moderation

To post messages, you must log in.

AuthorMessage
StephenHawkins

Send message
Joined: 10 Jan 21
Posts: 18
Message 109673 - Posted: 20 Aug 2022, 14:09:14 UTC

I noticed while troubleshooting boinc running under Linux Mint 21 that the only Mint 21 computers that had no problem with boinc were ones that had HD with older down loads of boinc. All say that they are v7.18.1. The new downloads also say they are boinc v7.18.1 but when trying to start boinc manager I get an error message saying "illegal instruction".

Trying to figure this out I stumbled across:
"There have been reports that some recent Ubuntu repositories have installed a broken version of BOINC in their repositories - it claims to be v7.18.1 but they appear to have packaged Android sources, rather then x64 sources".

Does anyone know anything about this?
Stephen Hawkins
73 49 111 01001001
ID: 109673 · Report as offensive
Ian&Steve C.

Send message
Joined: 24 Dec 19
Posts: 226
United States
Message 109674 - Posted: 20 Aug 2022, 15:30:40 UTC - in response to Message 109673.  

you'll have to take it up with the maintainer of those repositories, either the Mint/Ubuntu devs, or whoever runs the PPA if it's a PPA.

the BOINC team just provides the code, but have nothing to do with what's built and put in various repos.
ID: 109674 · Report as offensive
Richard Haselgrove
Volunteer tester
Help desk expert

Send message
Joined: 5 Oct 06
Posts: 4928
United Kingdom
Message 109675 - Posted: 20 Aug 2022, 16:13:04 UTC

The earliest report I can find is message 107883, from 18 Apr 2022. Read on from there.
ID: 109675 · Report as offensive
StephenHawkins

Send message
Joined: 10 Jan 21
Posts: 18
Message 109676 - Posted: 20 Aug 2022, 18:20:08 UTC - in response to Message 109675.  

I used software manager to uninstall every boinc thing it had installed.. After fighting with this for way to long I then discovered that using the software manager to install the "boinc manager flatpack" gives you a different newer version of boinc. I then used project manager to install boinc client and now everything works.
Stephen Hawkins
73 49 111 01001001
ID: 109676 · Report as offensive

Message boards : Questions and problems : Broken version of boinc in some repositories??

Copyright © 2022 University of California. Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.2 or any later version published by the Free Software Foundation.